<div class="flex flex-col flex-auto items-top min-w-0" style="background-color: #f8f8f8">
    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/security']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
        <div class="flex items-center cursor-pointer" [routerLink]="['/help_outline']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 text-center font-141461">
            <div>Change Password</div>
        </div>
    </div>
    <div class="flex items-top justify-center mt-7 mx-auto w-full sm:w-auto sm:px-6 bg-card box-width"
        style="box-shadow: 0px 0px 6px #0000001a">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">
            <div class="flex-auto p-6 sm:p-10">
                <div class="flex font-Semibold-20">
                    Enter New Password
                </div>
                <div class="flex font-Regular-16 font-7B7B7B py-4">
                    Please enter your new password below.
                </div>
                <mat-form-field class="w-full content flex-grow-1 items-center justify-center"
                    [formGroup]="changePassForm" #changePassNgForm="ngForm" appearance="outline">
                    <mat-label>New Password</mat-label>
                    <div class="password-input">
                        <input id="newPassword" matInput [formControlName]="'newPassword'" matInput
                            type="{{ hideNewPassword ? 'password' : 'text' }}" class="single-line-input" />
                        <div class="password-toggle">
                            <button mat-icon-button (click)="toggleNewPasswordVisibility()"
                                class="mat-icon-button-right" [disabled]="disableButton">
                                <mat-icon class="icon-size-5">{{ hideNewPassword ? 'visibility_off' : 'visibility'
                                    }}</mat-icon>
                            </button>
                        </div>
                    </div>
                </mat-form-field>
                <br />
                <mat-form-field class="w-full content flex-grow-1 items-center justify-center"
                    [formGroup]="changePassForm" #changePassNgForm="ngForm" appearance="outline">
                    <mat-label>Confirm New Password</mat-label>
                    <div class="password-input">
                        <input id="confirmPassword" matInput [formControlName]="'confirmPassword'" matInput
                            type="{{ hideConfirmPassword ? 'password' : 'text' }}" class="single-line-input" />
                        <div class="password-toggle">
                            <button mat-icon-button (click)="toggleConfirmPasswordVisibility()"
                                class="mat-icon-button-right">
                                <mat-icon class="icon-size-5">{{ hideConfirmPassword ? 'visibility_off' : 'visibility'
                                    }}</mat-icon>
                            </button>
                        </div>
                    </div>
                </mat-form-field>

                <p class="font-Regular-16 font-7B7B7B">Your password must:</p>
                <ul class="font-Regular-16 font-7B7B7B">
                    <li>
                        <span *ngIf="passwordLength >= 8" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="passwordLength < 8" style="font-size: 20px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Have a minimum of 8 characters
                    </li>
                    <li>
                        <span *ngIf="hasLowerCase" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasLowerCase" style="font-size: 20px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Include at least one lowercase letter (a-z)
                    </li>
                    <li>
                        <span *ngIf="hasUpperCase" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasUpperCase" style="font-size: 20px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Include at least one uppercase letter (A-Z)
                    </li>
                    <li>
                        <span *ngIf="hasNumber" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasNumber" style="font-size: 20px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Include at least one number
                    </li>
                    <li>
                        <span *ngIf="hasSpecialChar" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasSpecialChar" style="font-size: 20px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Include at least one special character (@#$%&=+)
                    </li>
                    <li>
                        <span *ngIf="hasMatchPassword" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasMatchPassword" style="font-size: 20px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Be the same password in the Confirm New Password box
                    </li>
                    <li>
                        <span *ngIf="hasCommonWord" style="font-size: 20px; color:#00e435">
                            &#10003;
                        </span>
                        <span *ngIf="!hasCommonWord" style="font-size: 20px; color:#D1D3D4">
                            &#x2022;
                        </span>
                        Not contain common dictionary words
                    </li>
                </ul>
                <button class="fuse-mat-button-large w-full mt-3 button-r5-disable" mat-flat-button [color]="'primary'"
                    [disabled]="changePassForm.disabled" (click)="continueButton()">
                    <span *ngIf="!changePassForm.disabled" class="font-Semibold-14">
                        Submit
                    </span>
                    <mat-progress-spinner *ngIf="changePassForm.disabled" [diameter]="24"
                        [mode]="'indeterminate'"></mat-progress-spinner>
                </button>
            </div>
        </div>
    </div>
</div>